#
# spec file for package unsermake (Version 0.4_20060307)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libnscd libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           unsermake
BuildRequires:  docbook-xsl-stylesheets libxslt python-devel
License:        GPL
Group:          Development/Tools/Building
Summary:        Replacement for make and automake
Version:        0.4_20060307
Release:        11.2
# svn export svn+ssh://svn.kde.org/home/kde/trunk/kdenonbeta/unsermake unsermake-%version
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%py_requires

%description
Developed for building KDE, Unsermake replaces the functionality of
automake and make.



Authors:
--------
    Stephan Kulow <coolo@kde.org>

%debug_package
%prep
%setup -q

%build
%if %suse_version > 920
xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/*/manpages/docbook.xsl debian/unsermake.xml
%endif

%install
install -d $RPM_BUILD_ROOT%py_sitedir/unsermake
cp *.py *.um $RPM_BUILD_ROOT%py_sitedir/unsermake
install -d $RPM_BUILD_ROOT%_bindir
cat > $RPM_BUILD_ROOT%_bindir/unsermake << EOF
#! /bin/sh
exec /usr/bin/python -c 'import unsermake; unsermake.main()' --modules %py_sitedir/unsermake "\$@"
EOF
chmod 755 $RPM_BUILD_ROOT%_bindir/unsermake
pushd $RPM_BUILD_ROOT%py_sitedir/unsermake
python %py_libdir/py_compile.py *.py
PYTHONOPTIMIZE=1 python %py_libdir/py_compile.py *.py
popd
%if %suse_version > 920
install -m 644 -D unsermake.1 $RPM_BUILD_ROOT%_mandir/man1/unsermake.1
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README

%py_sitedir/unsermake
%_bindir/unsermake
%if %suse_version > 920
%_mandir/man1/unsermake.1*
%endif

%changelog -n unsermake
* Tue Mar 07 2006 - dmueller@suse.de
- update to 20060307:
- ignore generated .ui4 files in Qt4 build environments
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - dmueller@suse.de
- update to 20060111
* Wed Dec 21 2005 - dmueller@suse.de
- update to 20051221
* Tue Nov 01 2005 - dmueller@suse.de
- update to 20051101
* Thu Oct 06 2005 - coolo@suse.de
- fixed another error ;(
* Wed Oct 05 2005 - coolo@suse.de
- fix syntax
* Wed Oct 05 2005 - coolo@suse.de
- make command line handling way more complex to
  support VERBOSE=1 at random places
* Thu Sep 08 2005 - coolo@suse.de
- fixing file permissions
* Wed Aug 03 2005 - ro@suse.de
- fix requires
* Thu Jul 28 2005 - coolo@suse.de
- add require to python
* Tue Jul 19 2005 - coolo@suse.de
- update from svn
* Thu Apr 14 2005 - coolo@suse.de
- another fix for man pages
* Tue Mar 15 2005 - coolo@suse.de
- fix man page support
* Mon Mar 14 2005 - coolo@suse.de
- fix assembler files (and reduce the tar size _slightly_)
* Wed Feb 23 2005 - adrian@suse.de
- update to current CVS
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update from CVS
* Tue Feb 01 2005 - adrian@suse.de
- update from CVS
* Mon Jan 31 2005 - coolo@suse.de
- update from CVS
* Mon Jan 31 2005 - adrian@suse.de
- fix build on released distributions
* Tue Jan 25 2005 - coolo@suse.de
- new package
